summaryrefslogtreecommitdiffhomepage
path: root/etc/build
diff options
context:
space:
mode:
authorjao <jao@gnu.org>2022-08-09 23:48:44 +0100
committerjao <jao@gnu.org>2022-08-09 23:48:44 +0100
commit63303977071f34d8142709960e8dae97cea1951e (patch)
tree19ea7c2704548f64d01619d9418581156f35dea9 /etc/build
parent474a7ebbe2589ae6b03f13c8318f36e9d3fde00b (diff)
downloadxmobar-63303977071f34d8142709960e8dae97cea1951e.tar.gz
xmobar-63303977071f34d8142709960e8dae97cea1951e.tar.bz2
examples -> etc
Diffstat (limited to 'etc/build')
-rw-r--r--etc/build17
1 files changed, 17 insertions, 0 deletions
diff --git a/etc/build b/etc/build
new file mode 100644
index 0000000..9e9eb72
--- /dev/null
+++ b/etc/build
@@ -0,0 +1,17 @@
+#!/usr/bin/bash
+
+# An example build script that directs ghc to use a temporary directory for its
+# intermediate files instead of writing them into XMOBAR_CONFIG_DIR. This
+# allows using a read-only XMOBAR_CONFIG_DIR. To use this script, place it in
+# XMOBAR_CONFIG_DIR and call it "build".
+
+bin=$1
+object_dir=$(mktemp -d)
+
+default_build_args=(--make xmobar.hs -i -ilib -fforce-recomp -main-is main -v0 -o "$bin" -threaded -rtsopts -with-rtsopts -V0) # From src/Xmobar/App/Compile.hs
+extra_build_args=(-odir "$object_dir" -hidir "$object_dir")
+
+ghc "${default_build_args[@]}" "${extra_build_args[@]}"
+status=$?
+rm -r "$object_dir"
+exit $status